﻿using Asp.Versioning;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Options;
using Mirea.Api.Dto.Common;
using Mirea.Api.Endpoint.Common.Attributes;
using Mirea.Api.Endpoint.Common.MapperDto;
using Mirea.Api.Endpoint.Configuration.Model;
using QRCoder;
using System;
using System.Drawing;

namespace Mirea.Api.Endpoint.Controllers.V1;

[ApiVersion("1.0")]
public class SecurityController(IOptionsSnapshot<GeneralConfig> generalConfig) : BaseController
{
    /// <summary>
    /// Retrieves the current password policy for user authentication.
    /// </summary>
    /// <returns>
    /// The current password policy
    /// </returns>
    [HttpGet("PasswordPolicy")]
    public ActionResult<PasswordPolicy> PasswordPolicy() =>
        Ok(generalConfig.Value.PasswordPolicy.ConvertToDto());
}